Bug Hunting Session
Bug 126227 - Top border not displayed on track changes (gtk3)
Summary: Top border not displayed on track changes (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-07-04 12:41 UTC by Xisco Faulí
Modified: 2019-07-29 18:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-07-04 12:41:25 UTC
Steps to reproduce:
1. Open Calc
2. Edit - Track Changes - Record
3. Type something on any cell

-> Red top border is not displayed

reproduced in

Version: 6.4.0.0.alpha0+
Build ID: d62f6b7d40284b2e41831376e5388711ab6250f3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-07-04 12:42:55 UTC
Regression introduced by:

author	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-09-05 23:34:32 +0200
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-09-07 10:16:39 +0200
commit	32d49d077fff5c63ec731191bff4daed06744afa (patch)
tree	e1cdfbad4678b38ffc06b8465a4eeb139fda0b76
parent	66c3c53d1951bed03173415d9bce1d7c1e5ac960 (diff)
Cleanup SvpSalGraphics LineGeometry creation

Bisected with: bibisect-linux64-6.2

Adding Cc: to Armin Le Grand
Comment 2 Xisco Faulí 2019-07-04 12:43:25 UTC
@Caolán, I thought you might be interested in this issue...
Comment 3 Caolán McNamara 2019-07-17 15:46:31 UTC
I think this is similar to the problem solved by

commit 95e9b7b2d1a5bb6776eef89461b63ab3dc01f34f
Author: Katarina Behrens <Katarina.Behrens@cib.de>
Date:   Fri Apr 26 17:12:41 2019 +0200

    tdf#120797: Apply transformation also to the extents of damage

we probably need some more tweaking of the damage extents
Comment 4 Caolán McNamara 2019-07-24 07:14:32 UTC
A different problem than just damage extents I believe now
Comment 5 Commit Notification 2019-07-24 07:16:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/16ddff7dcadfa1c062d9388e76a10583f6d33722%5E%21

Related: tdf#126227 don't need preserve variant here

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-07-24 07:16:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d33a73a2f8a17d7e399ddab0da96e83aab009e55%5E%21

Related: tdf#126227 factor out setting the polygon path

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-07-24 07:19:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e18dbb2b7f48a1380e9d1cb6443705d1ce2b2ad5%5E%21

Resolves: tdf#126227 calc red change tracking rectangles missing their top

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-07-24 07:19:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/81c7df3a618dead46dc192ae91d25a72de4132fd%5E%21

Related: tdf#126227 follow the same pattern as drawPolyPolygon

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2019-07-24 07:21:46 UTC
backport to 6-3 in gerrit
Comment 10 Commit Notification 2019-07-25 15:29:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/171cb9e16caa2a5023d36d7cae07cd1ae1e126d5%5E%21

Resolves: tdf#126227 calc red change tracking rectangles missing their top

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-07-29 18:00:13 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 0d36b32755ac662299e6a8165e9fa57311b74a2f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!